First time here? Check out the FAQ!
x

I have the latest ver 4.02 build 505. But I am unable to login to my Intervoip client because it tells me to update my client to the latest ver which I am unable to find anywhere.

+2 votes
asked by about InterVoip

I have the latest ver 4.02 build 505. But I am unable to login to my Intervoip client because it tells me to update my client to the latest ver which I am unable to find anywhere.

2 Answers

+1 vote
answered by (160 points)

I have the latest ver 4.02 build 505. But I am unable to login to my
Intervoip client because it tells me to update my client to the
latest ver which I am unable to find anywhere.

0 votes
answered by (140 points)

i want intervoip new software download

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...